#!BPY

"""
Name: 'Viereck 1'
Blender: 242
Group: 'Add'
Tooltip: 'Viereck hinzufuegen.'
"""


__author__ = "Rebecca Breu"
__url__ = ("blender", "elysiun")
__version__ = "31.01.2007"

__bpydoc__ = """
Wir wollen ein Viereck (Mesh-Objekt) erzeugen und es mit einem Material und einer Textur versehen. Wir fangen zunaechst mit einem leeren Objekt an.
"""

import Blender
from Blender import Object
from Blender import NMesh
from Blender import Scene


# Neues Mesh erzeugen:
viereck_mesh = NMesh.New()

# Neues Objekt vom Typ "Mesh" erzeugen und ihm das erzeugte Mesh zuordnen:
viereck_obj = Object.New("Mesh", "Viereck") # Parameter: Typ, Name
viereck_obj.link(viereck_mesh)

# Die aktuelle Szene holen und das erzeugte Objekt hinzufuegen:
current_scene = Scene.GetCurrent()
current_scene.link(viereck_obj)

Blender.Redraw()
