#!BPY

"""
Name: 'Viereck 3'
Blender: 242
Group: 'Add'
Tooltip: 'Viereck hinzufuegen.'
"""


__author__ = "Rebecca Breu"
__url__ = ("blender", "elysiun")
__version__ = "31.01.2007"

__bpydoc__ = """Damit das Viereck beim Rendern auch sichtbar ist, braucht es
Flaechen. Nur Flaechen werden gerendert!"""

import Blender
from Blender import Object
from Blender import NMesh
from Blender import Scene


viereck_mesh = NMesh.New()

viereck_mesh.verts.append(NMesh.Vert(-1, -1, 0))
viereck_mesh.verts.append(NMesh.Vert(1, -1, 0))
viereck_mesh.verts.append(NMesh.Vert(1, 1, 0))
viereck_mesh.verts.append(NMesh.Vert(-1, 1, 0))


# Fuege dem Mesh Flaechen hinzu:

# Erste dreieckige Flaeche:
flaeche = NMesh.Face()
flaeche.v.append(viereck_mesh.verts[0])
flaeche.v.append(viereck_mesh.verts[1])
flaeche.v.append(viereck_mesh.verts[2])
viereck_mesh.faces.append(flaeche)

# Zweite dreieckige Flaeche:
flaeche = NMesh.Face()
flaeche.v.append(viereck_mesh.verts[2])
flaeche.v.append(viereck_mesh.verts[3])
flaeche.v.append(viereck_mesh.verts[0])
viereck_mesh.faces.append(flaeche)

# Man kann in diesem Fall statt der zwei dreieckigen Flaechen auch eine
# viereckige Flaeche nehmen.

viereck_obj = Object.New("Mesh", "Viereck")
viereck_obj.link(viereck_mesh)

current_scene = Scene.GetCurrent()
current_scene.link(viereck_obj)

Blender.Redraw()
