#!BPY

"""
Name: 'Viereck 5'
Blender: 242
Group: 'Add'
Tooltip: 'Viereck hinzufuegen.'
"""


__author__ = "Rebecca Breu"
__url__ = ("blender", "elysiun")
__version__ = "31.01.2007"

__bpydoc__ = """Jetzt noch eine Textur."""


from Blender import *

viereck_mesh = NMesh.New()

viereck_mesh.verts.append(NMesh.Vert(-1, -1, 0))
viereck_mesh.verts.append(NMesh.Vert(1, -1, 0))
viereck_mesh.verts.append(NMesh.Vert(1, 1, 0))
viereck_mesh.verts.append(NMesh.Vert(-1, 1, 0))

flaeche = NMesh.Face()
flaeche.v.append(viereck_mesh.verts[0])
flaeche.v.append(viereck_mesh.verts[1])
flaeche.v.append(viereck_mesh.verts[2])
viereck_mesh.faces.append(flaeche)

flaeche = NMesh.Face()
flaeche.v.append(viereck_mesh.verts[2])
flaeche.v.append(viereck_mesh.verts[3])
flaeche.v.append(viereck_mesh.verts[0])
viereck_mesh.faces.append(flaeche)

material = Material.New("Rotes Material")
material.rgbCol = [0.8, 0.1, 0.1]


# Erstelle neue Textur:
textur = Texture.New("Muster")
textur.setType("Voronoi")

# Fuege erstellte Textur zu Material hinzu:
material.setTexture(0, textur, Texture.TexCo.ORCO)

# Einige Einstellungen, wie die Textur gemappt weren soll:

# Das rot des Materials soll mit Weiss gemischt werden (je nach Helligkeit
# der Textur):
material.getTextures()[0].col = (1.0, 1.0, 1.0)

# Die Textur soll die Farbe und die Flaechennormalen der Textur beeinflussen:
material.getTextures()[0].mapto = Texture.MapTo.COL|Texture.MapTo.NOR


viereck_mesh.materials.append(material)

viereck_obj = Object.New("Mesh", "Viereck")
viereck_obj.link(viereck_mesh)

current_scene = Scene.GetCurrent()
current_scene.link(viereck_obj)

Redraw()
