#!BPY

"""
Name: 'SimpleGUI'
Blender: 242
Group: 'Add'
Tooltip: 'Einfache GUI.'
"""


__author__ = "Rebecca Breu"
__url__ = ("blender", "elysiun")
__version__ = "31.01.2007"

__bpydoc__ = """Fuer Scripte kann man auch einfache GUIs bauen, um dem User
Parameter einstellen zu lassen. Hier eine einfache GUI mit einem Button."""


from Blender.Draw import *


QUIT_BUTTON = 1


def gui():
    """Zeichne die GUI"""
    
    Button("Quit", QUIT_BUTTON, 40, 100, 150, 20)
    
    # Parameter: 1: Aufschrift des Buttons, 2: Event, das ausgeloest wird
    # 3, 4: Position des Buttons x, y
    # 5, 6: Breite und Hoehe des Buttons


def event(evt, val):
    """Allgemeiner Event-Handler (Maus- und Tastatur-Events)"""
    
    if (evt == ESCKEY and not val):
        Exit()

    # val==0: taste wurde losgelassen


def bevent(evt):
    """Event-Handler fuer Buttons"""
    if evt == QUIT_BUTTON:
        Exit()


Register(gui, event, bevent)
# Parameter 1: Funktion, die die GUI zeichnet
# 2: Event-Handler fuer allgemeine Events
# 3: Event-Handler fuer Buttons
