#!BPY

"""
Lasse das ausgewaehlte Objekt in der x-y-Ebene um den 3d-Cursor als
Mittelpunkt kreisen. Dieses Script wird nicht vom User aktiv ausgefuehrt,
sondern in den Scripts-Buttons verlinkt: Klicke "Enable Script Links", dann
"New", waehle Script aus (vorher in Blenders Text-Editor laden) und
"Frame Changed". Nun wird unser Script bei jeder Aenderung eines Frames
ausgefuehrt. Also insbesondere, wenn man die Szene als Animation abspielt
oder rendert.
"""


import Blender
from math import *

#Das selektierte Objekt holen:
obj = Blender.Object.GetSelected()[-1]
# GetSelected liefert Liste, da man mehrere Objekte gleichzeitig selektieren
# kann

# Man kann auch ein bestimmtes Objekt holen:
#obj = Blender.Object.Get("Cube")

# Aktuelle Position des 3d-Cursors:
cursor = Blender.Window.GetCursorPos()

speed = 100
radius = 3

# Die Aktuelle Zeit (geshiftet sodass sie bei 0 anfaengt):
t = Blender.Get('curtime') - 1.0

# Animiere das Objekt:
obj.LocX = radius * cos(t * 2 * pi / speed) + cursor[0]
obj.LocY = radius * sin(t * 2 * pi / speed) + cursor[1]

