#!BPY

"""
Lasse das ausgewaehlte Objekt in der x-y-Ebene um den 3d-Cursor als
Mittelpunkt kreisen. Radius wird zufaellig ermittelt.

Dieses Script wie das vorherige in den Script-Buttons verlinken.

Da das Script in jedem Frame wieder neu gestartet wird, wie kann man sich
Dinge uber das Scriptende hinaus merken? In diesem Fall soll der einmal
zufaellig ermittelte Radius die ganze Animation ueber erhalten bleiben.
Antwort: Wir fuegen dem animierten Objekt eine Property hinzu, in der
wir den Radius speichern.
"""


import Blender
from math import *
import random

# Das selektierte Objekt holen:
obj = Blender.Object.GetSelected()[-1]

# Die Aktuelle Zeit (geshiftet sodass sie bei 0 anfaengt):
t = Blender.Get('curtime') - 1.0

speed = 100


# Wenn die Animation von vorne beginnt (t = 0), wollen wir einen Radius
# zufaellig berechnen. ansonsten wird er im Objekt gespeichert:

if t == 0:
    obj.removeProperty("radius")
try:
    radius = obj.getProperty("radius").getData()
except:
    radius = 5 * random.random()
    obj.addProperty("radius", radius, 'FLOAT')



# Aktuelle Position des 3d-Cursors:
cursor = Blender.Window.GetCursorPos()


print radius

# Animiere das Objekt:
obj.LocX = radius * cos(t * 2 * pi / speed) + cursor[0]
obj.LocY = radius * sin(t * 2 * pi / speed) + cursor[1]

