#!BPY

"""
Name: 'Registry-Test'
Blender: 242
Group: 'Misc'
Tooltip: 'Teste die Registry...'
"""


__author__ = "Rebecca Breu"
__url__ = ("blender", "elysiun")
__version__ = "31.01.2007"

__bpydoc__ = """
Wie kann man sich allgemeine Daten von einer Script-Ausfuehrung zur naechsten
merken, auch bis zum naechsten Start von Blender?
Dazu gibt es eine Registry...
"""



#import Blender
from Blender import Registry

# Ein paar Variablen, die wir in der Registry speichern wollen:
myvar1 = 0
myvar2 = 3.2
mystr = "hello"


# In der Registry speichern werden dicts gespeichert:

d = { "myvar1" : myvar1, "myvar2" : myvar2, "mystr": mystr}

# Speichere das ganze in der Registry:
Registry.SetKey('persistent_script', d, True)
# Dritter Parameter: Sollen Daten auch dauerhaft auf Festplatte gespeichert
# werden, sodass sie beim Neustart von Blender noch da sind?


# ... 


# Hole Variablen aus Registry:

d2 = Registry.GetKey('persistent_script', True)
# Zweiter Parameter: Soll auf der Festplatte nach dem Key gesucht werden?

print d2
